diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/sixlowpan/model/sixlowpan-net-device.cc ns-3.36/src/sixlowpan/model/sixlowpan-net-device.cc
--- ns-3.35/src/sixlowpan/model/sixlowpan-net-device.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/sixlowpan/model/sixlowpan-net-device.cc	2022-04-30 18:23:58.138734800 -0700
@@ -201,7 +201,7 @@
   SixLowPanDispatch::Dispatch_e dispatchVal;
   Ptr<Packet> copyPkt = packet->Copy ();
 
-  m_rxTrace (copyPkt, m_node->GetObject<SixLowPanNetDevice> (), GetIfIndex ());
+  m_rxTrace (copyPkt, this, GetIfIndex ());
 
   copyPkt->CopyData (&dispatchRawVal, sizeof(dispatchRawVal));
   dispatchVal = SixLowPanDispatch::GetDispatchType (dispatchRawVal);
@@ -237,7 +237,7 @@
       if (!hasBc0)
         {
           NS_LOG_LOGIC ("Dropped packet - we only support mesh if it is paired with a BC0");
-          m_dropTrace (DROP_UNKNOWN_EXTENSION, copyPkt, m_node->GetObject<SixLowPanNetDevice> (), GetIfIndex ());
+          m_dropTrace (DROP_UNKNOWN_EXTENSION, copyPkt, this, GetIfIndex ());
           return;
         }
 
@@ -336,7 +336,7 @@
     case SixLowPanDispatch::LOWPAN_HC1:
       if (m_useIphc)
         {
-          m_dropTrace (DROP_DISALLOWED_COMPRESSION, copyPkt, m_node->GetObject<SixLowPanNetDevice> (), GetIfIndex ());
+          m_dropTrace (DROP_DISALLOWED_COMPRESSION, copyPkt, this, GetIfIndex ());
           return;
         }
       DecompressLowPanHc1 (copyPkt, realSrc, realDst);
@@ -345,12 +345,12 @@
     case SixLowPanDispatch::LOWPAN_IPHC:
       if (!m_useIphc)
         {
-          m_dropTrace (DROP_DISALLOWED_COMPRESSION, copyPkt, m_node->GetObject<SixLowPanNetDevice> (), GetIfIndex ());
+          m_dropTrace (DROP_DISALLOWED_COMPRESSION, copyPkt, this, GetIfIndex ());
           return;
         }
       if (DecompressLowPanIphc (copyPkt, realSrc, realDst))
         {
-          m_dropTrace (DROP_SATETFUL_DECOMPRESSION_PROBLEM, copyPkt, m_node->GetObject<SixLowPanNetDevice> (), GetIfIndex ());
+          m_dropTrace (DROP_SATETFUL_DECOMPRESSION_PROBLEM, copyPkt, this, GetIfIndex ());
         }
       else
         {
@@ -359,7 +359,7 @@
       break;
     default:
       NS_LOG_DEBUG ("Unsupported 6LoWPAN encoding: dropping.");
-      m_dropTrace (DROP_UNKNOWN_EXTENSION, copyPkt, m_node->GetObject<SixLowPanNetDevice> (), GetIfIndex ());
+      m_dropTrace (DROP_UNKNOWN_EXTENSION, copyPkt, this, GetIfIndex ());
       break;
     }
 
@@ -628,7 +628,7 @@
       for ( it = fragmentList.begin (); it != fragmentList.end (); it++ )
         {
           NS_LOG_DEBUG ( "SixLowPanNetDevice::Send (Fragment) " << **it );
-          m_txTrace (*it, m_node->GetObject<SixLowPanNetDevice> (), GetIfIndex ());
+          m_txTrace (*it, this, GetIfIndex ());
 
           if (useMesh)
             {
@@ -649,7 +649,7 @@
     }
   else
     {
-      m_txTrace (packet, m_node->GetObject<SixLowPanNetDevice> (), GetIfIndex ());
+      m_txTrace (packet, this, GetIfIndex ());
 
       if (useMesh)
         {
@@ -827,9 +827,8 @@
   Ipv6Header ipHeader;
   SixLowPanHc1 encoding;
 
-  uint32_t ret = packet->RemoveHeader (encoding);
+  [[maybe_unused]] uint32_t ret = packet->RemoveHeader (encoding);
   NS_LOG_DEBUG ("removed " << ret << " bytes - pkt is " << *packet);
-  NS_UNUSED (ret);
 
   ipHeader.SetHopLimit (encoding.GetHopLimit ());
 
@@ -1335,9 +1334,8 @@
   Ipv6Header ipHeader;
   SixLowPanIphc encoding;
 
-  uint32_t ret = packet->RemoveHeader (encoding);
+  [[maybe_unused]] uint32_t ret = packet->RemoveHeader (encoding);
   NS_LOG_DEBUG ("removed " << ret << " bytes - pkt is " << *packet);
-  NS_UNUSED (ret);
 
   // Hop Limit
   ipHeader.SetHopLimit (encoding.GetHopLimit ());
@@ -1916,9 +1914,8 @@
 
   SixLowPanNhcExtension encoding;
 
-  uint32_t ret = packet->RemoveHeader (encoding);
+  [[maybe_unused]] uint32_t ret = packet->RemoveHeader (encoding);
   NS_LOG_DEBUG ("removed " << ret << " bytes - pkt is " << *packet);
-  NS_UNUSED (ret);
 
   Ipv6ExtensionHopByHopHeader hopHeader;
   Ipv6ExtensionRoutingHeader routingHeader;
@@ -2113,7 +2110,7 @@
       actualHeaderType = Ipv6Header::IPV6_IPV6;
       if (DecompressLowPanIphc (packet, src, dst))
         {
-          m_dropTrace (DROP_SATETFUL_DECOMPRESSION_PROBLEM, packet, m_node->GetObject<SixLowPanNetDevice> (), GetIfIndex ());
+          m_dropTrace (DROP_SATETFUL_DECOMPRESSION_PROBLEM, packet, this, GetIfIndex ());
           return std::pair<uint8_t, bool> (0, true);
         }
       break;
@@ -2189,9 +2186,8 @@
   UdpHeader udpHeader;
   SixLowPanUdpNhcExtension encoding;
 
-  uint32_t ret = packet->RemoveHeader (encoding);
+  [[maybe_unused]] uint32_t ret = packet->RemoveHeader (encoding);
   NS_LOG_DEBUG ("removed " << ret << " bytes - pkt is " << *packet);
-  NS_UNUSED (ret);
 
   // Set the value of the ports
   switch ( encoding.GetPorts () )
@@ -2375,7 +2371,7 @@
         case SixLowPanDispatch::LOWPAN_IPHC:
           if (DecompressLowPanIphc (p, src, dst))
             {
-              m_dropTrace (DROP_SATETFUL_DECOMPRESSION_PROBLEM, p, m_node->GetObject<SixLowPanNetDevice> (), GetIfIndex ());
+              m_dropTrace (DROP_SATETFUL_DECOMPRESSION_PROBLEM, p, this, GetIfIndex ());
               return false;
             }
           break;
@@ -2409,7 +2405,7 @@
           for (std::list< Ptr<Packet> >::iterator fragIter = storedFragments.begin ();
                fragIter != storedFragments.end (); fragIter++)
             {
-              m_dropTrace (DROP_FRAGMENT_BUFFER_FULL, *fragIter, m_node->GetObject<SixLowPanNetDevice> (), GetIfIndex ());
+              m_dropTrace (DROP_FRAGMENT_BUFFER_FULL, *fragIter, this, GetIfIndex ());
             }
 
           m_timeoutEventList.erase (m_fragments[oldestKey]->GetTimeoutIter ());
@@ -2602,7 +2598,7 @@
   for (std::list< Ptr<Packet> >::iterator fragIter = storedFragments.begin ();
        fragIter != storedFragments.end (); fragIter++)
     {
-      m_dropTrace (DROP_FRAGMENT_TIMEOUT, *fragIter, m_node->GetObject<SixLowPanNetDevice> (), iif);
+      m_dropTrace (DROP_FRAGMENT_TIMEOUT, *fragIter, this, iif);
     }
   // clear the buffers
   it->second = 0;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/sixlowpan/model/sixlowpan-net-device.h ns-3.36/src/sixlowpan/model/sixlowpan-net-device.h
--- ns-3.35/src/sixlowpan/model/sixlowpan-net-device.h	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/sixlowpan/model/sixlowpan-net-device.h	2022-04-30 18:23:58.142734800 -0700
@@ -54,6 +54,12 @@
 
 /**
  * \ingroup sixlowpan
+ * \ingroup tests
+ * \defgroup sixlowpan-tests 6LoWPAN module tests
+ */
+
+/**
+ * \ingroup sixlowpan
  *
  * \brief Shim performing 6LoWPAN compression, decompression and fragmentation.
  *
@@ -88,6 +94,10 @@
    */
   SixLowPanNetDevice ();
 
+  // Delete copy constructor and assignment operator to avoid misuse
+  SixLowPanNetDevice (SixLowPanNetDevice const &) = delete;
+  SixLowPanNetDevice & operator = (SixLowPanNetDevice const &) = delete;
+
   // inherited from NetDevice base class
   virtual void SetIfIndex (const uint32_t index);
   virtual uint32_t GetIfIndex (void) const;
@@ -235,19 +245,6 @@
 
 private:
   /**
-   * \brief Copy constructor
-   *
-   * Defined and unimplemented to avoid misuse.
-   */
-  SixLowPanNetDevice (SixLowPanNetDevice const &);
-  /**
-   * \brief Copy constructor
-   *
-   * Defined and unimplemented to avoid misuse.
-   * \returns
-   */
-  SixLowPanNetDevice& operator= (SixLowPanNetDevice const &);
-  /**
    * \brief Receives all the packets from a NetDevice for further processing.
    * \param [in] device The NetDevice the packet ws received from.
    * \param [in] packet The received packet.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/sixlowpan/test/sixlowpan-fragmentation-test.cc ns-3.36/src/sixlowpan/test/sixlowpan-fragmentation-test.cc
--- ns-3.35/src/sixlowpan/test/sixlowpan-fragmentation-test.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/sixlowpan/test/sixlowpan-fragmentation-test.cc	2022-04-30 18:23:58.142734800 -0700
@@ -45,8 +45,7 @@
 using namespace ns3;
 
 /**
- * \ingroup sixlowpan-test
- * \ingroup tests
+ * \ingroup sixlowpan-tests
  *
  * \brief 6LoWPAN Fragmentation Test
  */
@@ -462,8 +461,7 @@
 
 
 /**
- * \ingroup sixlowpan-test
- * \ingroup tests
+ * \ingroup sixlowpan-tests
  *
  * \brief 6LoWPAN Fragmentation TestSuite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/sixlowpan/test/sixlowpan-hc1-test.cc ns-3.36/src/sixlowpan/test/sixlowpan-hc1-test.cc
--- ns-3.35/src/sixlowpan/test/sixlowpan-hc1-test.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/sixlowpan/test/sixlowpan-hc1-test.cc	2022-04-30 18:23:58.142734800 -0700
@@ -40,8 +40,7 @@
 using namespace ns3;
 
 /**
- * \ingroup sixlowpan-test
- * \ingroup tests
+ * \ingroup sixlowpan-tests
  *
  * \brief 6LoWPAN HC1 Test
  */
@@ -211,8 +210,7 @@
 
 
 /**
- * \ingroup sixlowpan-test
- * \ingroup tests
+ * \ingroup sixlowpan-tests
  *
  * \brief 6LoWPAN HC1 TestSuite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/sixlowpan/test/sixlowpan-iphc-stateful-test.cc ns-3.36/src/sixlowpan/test/sixlowpan-iphc-stateful-test.cc
--- ns-3.35/src/sixlowpan/test/sixlowpan-iphc-stateful-test.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/sixlowpan/test/sixlowpan-iphc-stateful-test.cc	2022-04-30 18:23:58.142734800 -0700
@@ -43,14 +43,7 @@
 using namespace ns3;
 
 /**
- * \ingroup sixlowpan
- * \defgroup sixlowpan-test 6LoWPAN module tests
- */
-
-
-/**
- * \ingroup sixlowpan-test
- * \ingroup tests
+ * \ingroup sixlowpan-tests
  *
  * \brief 6LoWPAN IPHC stateful compression Test
  */
@@ -318,8 +311,7 @@
 
 
 /**
- * \ingroup sixlowpan-test
- * \ingroup tests
+ * \ingroup sixlowpan-tests
  *
  * \brief 6LoWPAN IPHC TestSuite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/sixlowpan/test/sixlowpan-iphc-test.cc ns-3.36/src/sixlowpan/test/sixlowpan-iphc-test.cc
--- ns-3.35/src/sixlowpan/test/sixlowpan-iphc-test.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/sixlowpan/test/sixlowpan-iphc-test.cc	2022-04-30 18:23:58.142734800 -0700
@@ -39,15 +39,9 @@
 
 using namespace ns3;
 
-/**
- * \ingroup sixlowpan
- * \defgroup sixlowpan-test 6LoWPAN module tests
- */
-
 
 /**
- * \ingroup sixlowpan-test
- * \ingroup tests
+ * \ingroup sixlowpan-tests
  *
  * \brief 6LoWPAN IPHC Test
  */
@@ -215,8 +209,7 @@
 
 
 /**
- * \ingroup sixlowpan-test
- * \ingroup tests
+ * \ingroup sixlowpan-tests
  *
  * \brief 6LoWPAN IPHC TestSuite
  */
